<?php

    require_once '../app/model/db.class.php';
    require_once '../dompdf/dompdf_config.inc.php';
    require_once '../dompdf/www/functions.inc.php';

    function trncateFloat($number, $digitos){
       $raiz = 10;
       $multiplicador = pow ($raiz,$digitos);
       $resultado = ((int)($number * $multiplicador)) / $multiplicador;
       return number_format($resultado, $digitos);
    }

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $periodo=$_REQUEST['periodo'];
    $asignatura=$_REQUEST['asignatura'];

    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title></title>";
    $s.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $s.="<script type='text/javascript' src='consolidado.js'></script>";
    $s.="</head>";

    $s.="<body>";
    $s.="<center>";

    $s.="<table width='80%'>";

     $s.="<tr>";
     $s.="<td align='right' rowspan='4'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
    
     /*----- NOMBRE DE LA INSTITUCI&oacute;N-SEDE-GRADO-CURSO- ----- */

     $datos=$obj->consulta("select * from registrar");
     $anyo=$obj->consulta("select * from parametros");
     $ctlgo=$obj->consulta("select * from catalogo where codigo='".$asignatura."'");

     $row1 = $obj->fetch_assoc($anyo);
     $row_inst = $obj->fetch_assoc($datos);
     $row_ctlgo = $obj->fetch_assoc($ctlgo);

     $s.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='5'>ANALISIS INDIVIDUAL DE ASIGNATURAS</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='5'>ASIGNATURA  =>  ".$asignatura."  - ".$row_ctlgo['descripcion']."</td>";
     $s.="</tr>";


     $s.="<tr>";
     $s.="<td align='center' colspan='2'>PERIODO: ". $periodo."</td>";
     $s.="<td align='center' colspan='3'>A&Ntilde;O LECTIVO: ".$row1['anolectivo']."</td>";

     $s.="</tr>";
     $s.="</table></center>";

    /*--------------------------------------*/

    $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {

         $obj->consulta("delete from rendimiento_academico");

               while($reg_ren = $obj->fetch_assoc($result5)){

                     $reg = $obj->consulta("select boletin.numero, boletin.asignatura, boletin.periodo, boletin.jornada, boletin.grado, boletin.curso, catalogo.promediar
                                      from catalogo inner join boletin on catalogo.codigo = boletin.asignatura
                                      where boletin.asignatura='".$asignatura."' and boletin.periodo='".$periodo."' and boletin.grado='".$reg_ren['grado']."' and boletin.curso='".$reg_ren['codigo']."' and catalogo.promediar='SI'");

                     $row = $obj->fetch_assoc($reg);
                   
                    /*------ Calcular cantidad .b B A S -----*/

                    $bajo = $obj->consulta("select detalleboletin.valor_asigna, matriculas.estado from detalleboletin inner join matriculas on detalleboletin.alumno = matriculas.codigo
                                  where boletin='".$row['numero']. "' and detalleboletin.valor_asigna='BAJO' and detalleboletin.definitiva<>0 and matriculas.estado='A'");

                    $n_bajo=$obj->numero_de_filas($bajo);

                    $basico=$obj->consulta("select detalleboletin.valor_asigna, matriculas.estado from detalleboletin inner join matriculas on detalleboletin.alumno = matriculas.codigo
                                  where boletin='".$row['numero']. "' and detalleboletin.valor_asigna='BASICO' and detalleboletin.definitiva<>0 and matriculas.estado='A'");

                    $n_basico=$obj->numero_de_filas($basico);

                    $alto=$obj->consulta("select detalleboletin.valor_asigna, matriculas.estado from detalleboletin inner join matriculas on detalleboletin.alumno = matriculas.codigo
                                  where boletin='".$row['numero']. "' and detalleboletin.valor_asigna='ALTO' and detalleboletin.definitiva<>0 and matriculas.estado='A'");

                    $n_alto=$obj->numero_de_filas($alto);

                    $superior=$obj->consulta("select detalleboletin.valor_asigna, matriculas.estado from detalleboletin inner join matriculas on detalleboletin.alumno = matriculas.codigo
                                  where boletin='".$row['numero']. "' and detalleboletin.valor_asigna='SUPERIOR' and detalleboletin.definitiva<>0 and matriculas.estado='A'");

                    $n_superior=$obj->numero_de_filas($superior);


                    /*------ Calcular promedio de la Asignatura en el curso -----*/

                    $prom = $obj->consulta("select avg(detalleboletin.definitiva) as promedio from detalleboletin inner join matriculas on detalleboletin.alumno = matriculas.codigo
                                  where boletin='".$row['numero']. "' and detalleboletin.definitiva<>0 and matriculas.estado='A'");

                    $row_prom = $obj->fetch_assoc($prom);

                    if ($row_prom['promedio']=="")
                        $promedio=0;
                    else
                        $promedio=trncateFloat($row_prom['promedio'], 3);

                    /*------ Insertar en Rendimiento_Academico  -----*/

                    $obj->consulta("INSERT INTO rendimiento_academico (grado,curso,sede,periodo,nom_curso,jornada,bajo,basico,alto,superior,promedio) VALUES ('".$reg_ren['grado']."','".$reg_ren['codigo']."',".$reg_ren['sede'].",".$periodo.",'".$reg_ren['descripcion']."',".$reg_ren['jornada'].",".$n_bajo.",".$n_basico.",".$n_alto.",".$n_superior.",".$promedio.")");

               }

              /*------ Hallamos el Nivel de Desempeño -----*/

              $nivel = $obj->consulta("select codigo,descripcion,inferior,v1,superior,v2 from rangos");
              while($row3 = $obj->fetch_assoc($nivel)){
                    $obj->consulta("update rendimiento_academico set nivel_desempeno='".$row3['descripcion']."' where promedio ".$row3['inferior'].$row3['v1']." and promedio ".$row3['superior'].$row3['v2']);
              }
         
    }

     /*--------------------------------------*/

     $result = $obj->consulta("select * from rendimiento_academico order by promedio desc");
     $total = $obj->numero_de_filas($result); // obtenemos el numero de registros

     if  ($total!=0) {

         $s.="<center>";
         $s.="<br><br><table align='center' border=1 cellspacing='0' cellpadding='0' width='90%'>";

         $s.="<tr style='font-size:12px'>";
         $s.="<th>GRADO</th> <th>JORNADA</th> <th>.b</th> <th>B</th> <th>A</th> <th>S</th>";
         $s.="<th>PROMEDIO</th>  <th>DESEMPE&Ntilde;O</th>  <th>PUESTO</th>";
	 $s.="</tr>";

         $m=1;
         while($row_1 = $obj->fetch_assoc($result)){

               $s.="<tr align='center'>";
               $s.="<td align='left' width='20%' style='font-size:12px'>".$row_1['curso']." - ".$row_1['nom_curso']."</td>";
               $s.="<td width='10%' style='font-size:12px'>".$row_1['jornada']."</td>";
               $s.="<td width='5%' style='font-size:12px'>".$row_1['bajo']."</td>";
               $s.="<td width='5%' style='font-size:12px'>".$row_1['basico']."</td>";
               $s.="<td width='5%' style='font-size:12px'>".$row_1['alto']."</td>";
               $s.="<td width='5%' style='font-size:12px'>".$row_1['superior']."</td>";

               $s.="<td width='15%' style='font-size:12px'>".$row_1['promedio']."</td>";
               $s.="<td width='20%' style='font-size:12px'>".$row_1['nivel_desempeno']."</td>";
               $s.="<td width='15%' style='font-size:12px'>".$m."</td>";

               $s.="</tr>";
         $m++;
         }

         $s.="</table></center>";

     }

     /*--------------------------------------*/
                     
     $s.="</body></html>";

   


    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Cantidad_Reprobadas.pdf", array("Attachment" => false));



    $obj->disconnect();

   

?>

